### 3.4 `isblank`—blank character predicate

Synopsis

    #include <ctype.h>
    int isblank(int c);

Description
`isblank` is a function which classifies ASCII integer values by table lookup. It is a predicate returning non-zero for blank characters, and 0 for other characters. It is defined only if c is representable as an unsigned char or if c is EOF.

Returns
`isblank` returns non-zero if c is a blank character.

Portability
`isblank` is C99.

No supporting OS subroutines are required.